Package lxml :: Module etree :: Class EntityBase

[frames] | no frames]

# Class EntityBase

          object --+
                   |
            _Element --+
                       |
    __ContentOnlyElement --+
                           |
                     _Entity --+
                               |
                              EntityBase

Known Subclasses:
  - html.HtmlEntity

All custom Entity classes must inherit from this one.

Note that you cannot (and must not) instantiate this class or its subclasses.

Subclasses must not override __init__ or __new__ as it is absolutely undefined when these objects will be created or destroyed. All persistent state of Entities must be stored in the underlying XML. If you really need to initialize the object after creation, you can implement an `_init(self)` method that will be called after object creation.

Instance Methods

a new object with type S, a subtype of T

__new__(T, S, ...) |

Inherited from `_Entity`: `__repr__`

Inherited from `__ContentOnlyElement`: `__delitem__`, `__getitem__`, `__len__`, `__setitem__`, `append`, `get`, `insert`, `items`, `keys`, `set`, `values`

Inherited from `_Element`: `__contains__`, `__copy__`, `__deepcopy__`, `__iter__`, `__nonzero__`, `__reversed__`, `addnext`, `addprevious`, `clear`, `extend`, `find`, `findall`, `findtext`, `getchildren`, `getiterator`, `getnext`, `getparent`, `getprevious`, `getroottree`, `index`, `iter`, `iterancestors`, `iterchildren`, `iterdescendants`, `iterfind`, `itersiblings`, `itertext`, `makeelement`, `remove`, `replace`, `xpath`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Properties
Inherited from `_Entity`: `name`, `tag`, `text` Inherited from `__ContentOnlyElement`: `attrib` Inherited from `_Element`: `nsmap`, `prefix`, `sourceline`, `tail` Inherited from `object`: `__class__`

Method Details

### __new__(T, S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__